Bug 1263698 - incorrect cmake vars ASSIMP_LIBRARY_DIRS and ASSIMP_INCLUDE_DIRS
incorrect cmake vars ASSIMP_LIBRARY_DIRS and ASSIMP_INCLUDE_DIRS
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: assimp (Show other bugs)
20
x86_64 Other
unspecified Severity unspecified
: ---
: ---
Assigned To: Rich Mattes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-16 08:45 EDT by Bahram Maleki-Fard
Modified: 2015-10-07 19:48 EDT (History)
1 user (show)

See Also:
Fixed In Version: 3.1.1-5.fc23 assimp-3.0.1270-10.fc22 assimp-3.1.1-2.el7 assimp-3.0.1270-9.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-24 01:11:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bahram Maleki-Fard 2015-09-16 08:45:35 EDT
Description of problem:
The variables ASSIMP_LIBRARY_DIRS and ASSIMP_INCLUDE_DIRS (the latter only for <F23) are not properly configured, which leads to incorrect paths when using CMake to include assimp directories.

The affected lines in the final 'assimp-config.cmake' are (>=F23):
 set( ASSIMP_LIBRARY_DIRS "${ASSIMP_ROOT_DIR}//usr/lib64")
 set( ASSIMP_INCLUDE_DIRS "${ASSIMP_ROOT_DIR}/include") #this is fine

and for earlier versions (<F23):
 set( ASSIMP_LIBRARY_DIRS "${ASSIMP_ROOT_DIR}//usr/lib64")
 set( ASSIMP_INCLUDE_DIRS "${ASSIMP_ROOT_DIR}//usr/include")


Version-Release number of selected component (if applicable):
3.0.1270-4.fc20
3.1.1-4.fc20 (rpbmbuild from latest version)


Additional info:
This is due to using %{_libdir} (and %{_includedir}) in the spec file for %cmake.
A simple fix for the current version would be:
 -set( ASSIMP_LIBRARY_DIRS "${ASSIMP_ROOT_DIR}/@ASSIMP_LIB_INSTALL_DIR@")
 +set( ASSIMP_LIBRARY_DIRS "@ASSIMP_LIB_INSTALL_DIR@")

and likewise for previous versions and ASSIMP_INCLUDE_DIRS.
Comment 1 Rich Mattes 2015-09-16 20:14:27 EDT
Thanks for the report.  I'm patching assimp-config.cmake.in to remove ${ASSIMP_ROOT_DIR}, similar to the fix you pointed out.  I should have the updates submitted pretty soon.
Comment 2 Rich Mattes 2015-09-16 20:32:15 EDT
And just so you know, I won't be able update the fc20 package as Fedora 20 reached end-of-life on 2015-06-23.
Comment 3 Fedora Update System 2015-09-16 20:42:21 EDT
assimp-3.1.1-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8116
Comment 4 Fedora Update System 2015-09-16 21:02:28 EDT
assimp-3.1.1-5.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16064
Comment 5 Fedora Update System 2015-09-16 21:03:39 EDT
assimp-3.0.1270-10.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16065
Comment 6 Fedora Update System 2015-09-16 21:04:39 EDT
assimp-3.0.1270-9.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16066
Comment 7 Fedora Update System 2015-09-17 17:29:50 EDT
assimp-3.1.1-5.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update assimp'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16064
Comment 8 Fedora Update System 2015-09-18 01:20:49 EDT
assimp-3.0.1270-9.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update assimp'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16066
Comment 9 Fedora Update System 2015-09-18 12:24:23 EDT
assimp-3.0.1270-10.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update assimp'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16065
Comment 10 Fedora Update System 2015-09-18 23:21:34 EDT
assimp-3.1.1-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update assimp'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8116
Comment 11 Fedora Update System 2015-09-24 01:11:49 EDT
assimp-3.1.1-5.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2015-10-07 02:21:03 EDT
assimp-3.0.1270-10.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2015-10-07 16:11:06 EDT
assimp-3.1.1-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2015-10-07 19:48:39 EDT
assimp-3.0.1270-9.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.